Package org.gradle.api.artifacts

## Interface DependencySubstitutions.Substitution

- Enclosing interface:
    DependencySubstitutions

      public static interface DependencySubstitutions.Substitution

  Provides a DSL-friendly mechanism for specifying the target of a substitution.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencySubstitutions.Substitution` | `because​(String reason)` | Specify a reason for the substitution.
    `void` | `with​(ComponentSelector notation)` | Specify the target of the substitution.

- - ### Method Detail

    - #### because

          DependencySubstitutions.Substitution because​(String reason)

      Specify a reason for the substitution. This is optional
      Parameters:
        `reason` - the reason for the selection
      Returns:
        the substitution
      Since:
        4.5

    - #### with

          void with​(ComponentSelector notation)

      Specify the target of the substitution.